Name:           guile-gi
Version:        0.3.0
Release:        1%{?dist}
Summary:        Bindings for GObject Introspection and libgirepository for Guile

License:        GPLv3
URL:            https://github.com/spk121/guile-gi
Source0:        https://github.com/spk121/guile-gi/archive/v0.3.0.tar.gz

BuildRequires:  /usr/bin/autoreconf
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(glib-2.0) >= 2.48.0
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  /usr/bin/glib-compile-resources
BuildRequires:  guile22-devel
BuildRequires:  /usr/bin/makeinfo
Requires:       guile22

%description
This is a library for GNU Guile to create language bindings via GObject
Introspection.

GNU Guile is an implementation of Scheme, which is a Lisp-like language. This
library allows Guile to use GObject-based libraries -- such as GTK+3, GLib, and
WebKit2 -- by generating a Scheme API from the GObject Introspection
information provided by those libraries.


%prep
%autosetup


%build
./bootstrap
%configure --disable-static \
           GUILE=/usr/bin/guile2.2 \
           GUILD=/usr/bin/guild2.2 \
           GUILE_EXTENSION=%{_libdir}/guile/2.2/extensions \
           GUILE_SITE_CCACHE=%{_libdir}/guile/2.2/site-ccache
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/guile/2.2/extensions/libguile-gi.so
%{_libdir}/guile/2.2/extensions/libguile-gi.so.5
%{_libdir}/guile/2.2/extensions/libguile-gi.so.5.0.0
%{_libdir}/guile/2.2/site-ccache/gi.go
%{_libdir}/guile/2.2/site-ccache/gi
%{_libdir}/guile/2.2/site-ccache/scripts/gi-gtkdoc.go
%{_datadir}/doc/guile-gi
%{_datadir}/guile/site/2.2/gi.scm
%{_datadir}/guile/site/2.2/gi
%{_datadir}/guile/site/2.2/scripts/gi-gtkdoc.scm
%{_datadir}/info/guile-gi.info.gz
